Class
Index
Contains preprocessing data of a fixed text. Allows fast dictionary look-up and advanced computations.

Index

IndexEsa | IndexQGram | IndexWotd | Pizza & Chili Index

OpenAddressing

IndexDfi

Index<TText[, TSpec]>
Include Headers
seqan/index.h
Parameters

TText | The text type. Metafunctions: Host Types: String, StringSet
TSpec | The index type. Metafunctions: Spec Default: The result of DefaultIndexSpec

Remarks
An index contains various arrays or objects, also called fibres (see Fibre).
These fibres are created on demand depending on the requirements of an algorithm.
Specializations

IndexEsa | An index based on an enhanced suffix array.
IndexQGram | An index based on an array of sorted q-grams.
IndexWotd | An index based on a lazy suffix tree (see Giegerich et al., "Efficient implementation of lazy suffix trees").
Pizza & Chili Index | An adapter for the Pizza & Chili index API.

Metafunctions

Fibre | Type of a specific index member (fibre).
SAValue | The default alphabet type of a suffix array, i.e. the type to store a position of a string or string set.

Functions

begin | The begin of a container.
clear | Resets an object.
end | The end of a container.
getFibre | Returns a specific Fibre of an Index object.
indexCreate | Creates a specific Fibre.
indexRequire | On-demand creation of a specific Fibre.
indexSupplied | Returns whether a specific Fibre is present.
length | The number of items/characters.
setHaystack | Sets the haystack of a Finder object.

Example Programs
Maximal Repeats, Index Finder StringSet, Mummy, Maximal Unique Matches, Index Finder, Supermaximal Repeats
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45